Summary: Various applets for use with AfterStep and compatible window managers.
Name: AfterStep-APPS
Version: 20001212
Release: 1
Copyright: GPL
Group: User Interface/Desktops
BuildRoot: /var/tmp/afterstep-apps-root
Source0:  http://www.tigr.net/afterstep/as-apps/download/as-apps-001212.tar
Patch0: AfterStep-APPS-1.5beta1-glibc.patch
Patch1: ascp-paths.patch
Patch2: as-apps-compile.patch
Patch4: xiterm-utmp.patch
Patch5: 05-asdm-make.patch
Prereq: /sbin/ldconfig
BuildPrereq: WindowMaker
Requires: /usr/sbin/utempter

%description
The AfterStep-APPS package includes a group of applications for use
with the AfterStep window manager. Applications in this package
include an Advanced Power Management system monitor for laptops
(asapm), a CPU load monitor (ascpu), a simple state machine (asexec),
a filesystem monitor (asfsm), a CPU load monitor for use with the PROC
filesystem (asload), a mail checker (asmail), a memory utilization
monitor (asmem), a volume controller knob for the /dev/mixer device
(asmix), a volume controller for various sound inputs (asmixer), a
modem status monitor (asmodem), an analog clock (astime), a color
VT102 emulator (aterm), an audio CD player (ascd), a clock (asclock),
and a control panel for configuring AfterStep (ascp).

Install AfterStep-APPS if you're planning to use the AfterStep window
manager.

%prep
%setup -q -c
rm -f *.asc
for archive in *.tar.gz ; do
	tar xzf $archive
	rm -f $archive
done
%patch0 -p1 -b .glibc
%patch1 -p1 -b .paths
%patch4 -p1 -b .xiutmp
# Someone forgot to make clean in some packages :/
find . -name "*.o" -exec rm -f {} \;
perl -pi -e "s,#include <linux/ucdrom.h>,," ascdc-0.3/ascdc.c

%build
for package in `ls` ; do
    cd $package 
    case $package in
	ascd-* )
            perl -pi -e "s,/etc/X11,/usr/X11R6/lib/X11,g"  * ascd/* libworkman/*
	    patch -p2 -b --suffix .compile < %{PATCH2}
	    CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure << EOF
/dev/cdrom
$RPM_BUILD_ROOT/usr/X11R6/bin
$RPM_BUILD_ROOT/usr/man/man1
/usr/share/$package
1
EOF
	    perl -pi -e "s,/usr/local/share/AScd,/usr/share/$package,g" * misc/*
	    make MANDIR=/usr/X11R6/man/man1 \
		BINDIR=/usr/X11R6/bin \
		THEMESDIR=/usr/share/$package \
		SHLIBDIR=/usr/X11R6/lib \
		CDEBUGFLAGS="$RPM_OPT_FLAGS" \
		CXXDEBUGFLAGS="$RPM_OPT_FLAGS"
	    ;;
	
	asdm* )
	    # xmkmf'ed stuff...
	    xmkmf -a
            perl -pi -e "s,/etc/X11,/usr/X11R6/lib/X11,g"  *
            patch -b --suffix .compile < %{PATCH5}
	    make CDEBUGFLAGS="$RPM_OPT_FLAGS" \
	         CXXDEBUGFLAGS="$RPM_OPT_FLAGS" \
		 XDMDIR=/usr/share/asdm BINDIR=/usr/X11R6/bin \
		 SHLIBDIR=/usr/lib
	    ;;
	asampcd* | asDrinks* | asampmenu* | randbg* )
	    # These are perl scripts and don't need to be compiled...
	    ;;

	asbutton* | miniCHESS* )
	    # Non-autoconf'ed C...
	    make CCFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
	    ;;
	   
	aspbm* )
	    make CCFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
	    make -C conf CCFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
	    ;;
	asmon* )
	    cd asmon
	    make
	    cd ..
	    ;;

	ASFiles* | Tasks* | asfaces* | asfatm* | asppp* | astrash* |  astuner* |\
	xfascd* | asxmcd* | asftavm* | aswmtheme* )
	    # ASFiles: needs some odd DnD library
	    # Tasks: must be compiled inside AfterStep source tree
	    # asfaces: broken beyond repair
	    # asfatm: needs temperature measurement kernel patch
	    # asppp: missing dial.xpm file
	    # astrash: needs OffiX
	    # astuner: needs linux/radio.h
	    # xfascd: needs XForms
	    # asxmcd: needs Motif
            # asftavm: needs i2c& sensors not part of default 2.2 kernels
	    # aswmtheme: not a module per se.

	    ;;

	xiterm*)
	    # cough cough, hack hack -- ewt
	    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
		--enable-xpm-background --enable-utmp --enable-wtmp \
		--enable-menubar --enable-next-scroll
	    xmkmf
	    make Makefiles
	    cd src
	    sed -e "s/EXTRA_LIBRARIES =/EXTRA_LIBRARIES = -lutempter/" \
	       Makefile > Makefile.foo
	    sed -e "s/-lsocket //" Makefile.foo > Makefile
	    make
	    ;;
	asclock*)
            perl -pi -e "s,/etc/X11,/usr/X11R6/lib/X11,g"  *
	    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 << EOF
classic

EOF
             make
	     ;;
	*)
	    #just about every other thing supports autoconf
	    #
	    # Look ma, I'm broken!  What a shock.
	    rm -f config.cache
	    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --datadir=/usr/share --with-gtk-prefix=/usr
	    make
	    ;;
    esac
    cd ..
done

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/afterstep/desktop/icons/16bpp

for package in `ls` ; do
    cd $package 
    case $package in
	ASFiles* | Tasks* | asfaces* | asfatm* | asppp* | astrash* | astuner* | \
	xfascd* | asxmcd* | asftavm* )
	    # We ignore broken stuff and stuff that simply doesn't make
	    # much sense...
	    ;;

	asDrinks* | asampmenu* | randbg* | aswmtheme* )
	    cp -a *.pl $RPM_BUILD_ROOT/usr/X11R6/bin
	    ;;

	ascd-* | xiterm*)
	    if test -d ./ascd; then
	        mkdir -p $RPM_BUILD_ROOT/usr/share/$package
		cp -a ascd/themes/* $RPM_BUILD_ROOT/usr/share/$package
		perl -pi -e "s,/usr/local/include,$RPM_BUILD_ROOT/usr/include,g" libworkman/Makefile
		perl -pi -e "s,/usr/local/lib,$RPM_BUILD_ROOT/usr/lib,g" libworkman/Makefile
	    fi
	    make install install.man \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		THEMESDIR=$RPM_BUILD_ROOT/usr/share/$package \
		SHLIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib
	    ;;

        ascp-* )
	    make install \
	        ASCP_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		ASCP_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		prefx=$RPM_BUILD_ROOT \
		DESTDIR=$RPM_BUILD_ROOT
	    ;;
	asmon-* )
	    cd asmon
	    perl -pi -e "s,/usr/local/bin,$RPM_BUILD_ROOT/usr/X11R6/bin,g" Makefile
	    make install \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		DESTDIR=$RPM_BUILD_ROOT
	    cd ..
	    ;;

	asclock-* | asdm-* | sessreg-* | xpmroot-* )
	    make install DESTDIR=$RPM_BUILD_ROOT \
	                 AFTER_BIN_DIR=/usr/X11R6/bin \
			 BINDIR=/usr/X11R6/bin \
			 AFTER_MAN_DIR=/usr/X11R6/man/man1 \
			 XDMDIR=/usr/share/asdm \
			 MANDIR=/usr/X11R6/man/man1 \
			 SHLIBDIR=/usr/lib
	    make install.man DESTDIR=$RPM_BUILD_ROOT \
	                 AFTER_BIN_DIR=/usr/X11R6/bin \
			 BINDIR=/usr/X11R6/bin \
			 AFTER_MAN_DIR=/usr/X11R6/man/man1 \
			 MANDIR=/usr/X11R6/man/man1 \
	    ;;
	    
	miniCHESS-*)
	    make install DESTDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
	                 AFTER_BIN_DIR=/usr/X11R6/bin \
			 BINDIR=/usr/X11R6/bin \
			 AFTER_MAN_DIR=/usr/X11R6/man/man1
	    ;;

	*)
	    make install \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		DESTDIR=$RPM_BUILD_ROOT \
		ICONDIR=$RPM_BUILD_ROOT/usr/share/afterstep/desktop/icons/16bpp
	    make install.man \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		DESTDIR=$RPM_BUILD_ROOT || true # should work for non-install.man targets as well...
	    ;;
    esac
    cd ..
done
rm -f $RPM_BUILD_ROOT/usr/share/afterstep/ascp/*~ $RPM_BUILD_ROOT/usr/share/afterstep/ascp/*/*~
rm -f $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}/{sessreg,xpmroot,qplot}*
strip -R .comments $RPM_BUILD_ROOT/usr/X11R6/bin/* || true # don't bail out when we try to strip a perl script
chmod 0755 $RPM_BUILD_ROOT/usr/X11R6/bin/asbutton
chmod 0755 $RPM_BUILD_ROOT/usr/share/afterstep/ascp/icons

rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Chooser

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
	$RPM_BUILD_DIR/master.list

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
	-e '/\/config\//s|^|%config|' \
	-e 's|.1$|.1\*|g' >> \
	$RPM_BUILD_DIR/master.list

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
	$RPM_BUILD_DIR/master.list

sed -e "s,/man1/.*,&\*,g" $RPM_BUILD_DIR/master.list >$RPM_BUILD_DIR/file.list.%{name}

%clean
#rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f ../file.list.%{name}
%defattr(-,root,root)

%changelog
* Thu Dec 28 2000 Solomon Peachy <pizza@shaftnet.org>
[AfterStep-APPS-001212]
- Bring it up to date with as-apps-1212
- Disabled compilation of aswmtheme
- Disabled compilation of asftavm
- Fixed ascd, asdm, asclock (/etc/X11 --> /usr/X11R6/lib/X11 )

* Mon Feb  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove /usr/X11R6/lib/X11/app-defaults/Chooser
  it is provided by XFree86.

* Sun Feb  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix some Makefile issues:
  asclock, asdm, sessreg and xpmroot got installed to
  $RPM_BUILD_ROOT/$RPM_BUILD_ROOT and were therefore not included in the
  RPM.
  minichess was installed to $RPM_BUILD_ROOT/minichess, and therefore wasn't
  included in the RPM.

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix permissions on /usr/X11R6/bin/asbutton and /usr/share/afterstep/ascp/icons

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- add %defattr

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Thu Jan 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 20000124
- BuildPrereq WindowMaker (we need WINGs.h)

* Mon Nov 15 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- fix various bugs
- update source archive
- compile/fix some more components

* Tue Aug 17 1999 Bill Nottingham <notting@redhat.com>
- update source archive.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- update source archive
- fix ascp

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- utempter support
- got xiterm building again

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- updated source archive
- remove  conflicting files with XFree86

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- split from afterstep and packaged for RH 5.2
